Bug 1632640 - Please fix an xclass matching issue in JIT.
Summary: Please fix an xclass matching issue in JIT.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcre2
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-25 09:53 UTC by Remi Collet
Modified: 2018-10-02 19:33 UTC (History)
1 user (show)

Fixed In Version: pcre2-10.32-3.fc27 pcre2-10.32-3.fc28 pcre2-10.32-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-02 15:03:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Remi Collet 2018-09-25 09:53:53 UTC
Upstream commit:
https://vcs.pcre.org/pcre2?view=revision&revision=1016

This issue affects 10.31 and 10.32

Reported as a PHP bug, see https://bugs.php.net/76909

As we use the system library, can you please apply the patch (will be used in PHP 7.3, so rawhide only, but nice to have in other branch to)

Comment 1 Petr Pisar 2018-09-25 10:21:08 UTC
I know about that. I have the fixes builds already done. I'm waiting for previous build getting stable. Then I will push to the testing.

Comment 2 Fedora Update System 2018-09-27 12:47:04 UTC
pcre2-10.32-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4bc8dc0499

Comment 3 Fedora Update System 2018-09-27 12:47:20 UTC
pcre2-10.32-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8ec5f8ed8b

Comment 4 Fedora Update System 2018-09-27 12:50:20 UTC
pcre2-10.32-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8d5e098bf

Comment 5 Fedora Update System 2018-09-27 16:43:20 UTC
pcre2-10.32-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4bc8dc0499

Comment 6 Fedora Update System 2018-09-27 17:10:29 UTC
pcre2-10.32-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a8d5e098bf

Comment 7 Fedora Update System 2018-09-27 18:42:42 UTC
pcre2-10.32-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8ec5f8ed8b

Comment 8 Fedora Update System 2018-10-02 15:03:18 UTC
pcre2-10.32-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-10-02 16:01:40 UTC
pcre2-10.32-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-10-02 19:33:02 UTC
pcre2-10.32-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.